RDKit::AromaticAtomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over aromatic atoms, this is bidirectional. More...

`#include <AtomIterators.h>`

## Public Types

typedef AromaticAtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions

| AromaticAtomIterator_ ()
| AromaticAtomIterator_ (Mol_ *mol)
| AromaticAtomIterator_ (Mol_ *mol, int pos)
| ~AromaticAtomIterator_ ()
| AromaticAtomIterator_ (const ThisType &other)
AromaticAtomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
Atom_ * | operator* () const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

### template<class Atom_, class Mol_>
class RDKit::AromaticAtomIterator_< Atom_, Mol_ >

Iterate over aromatic atoms, this is bidirectional.

Definition at line 108 of file AtomIterators.h.

## Member Typedef Documentation

## ThisType

template<class Atom_ , class Mol_ >

typedef AromaticAtomIterator_<Atom_, Mol_> RDKit::AromaticAtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 110 of file AtomIterators.h.

## Constructor & Destructor Documentation

## AromaticAtomIterator_() [1/4]

template<class Atom_ , class Mol_ >

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( |  | ) |

inline

Definition at line 111 of file AtomIterators.h.

References RDKit::AtomIterator_< Atom_, Mol_ >::_mol, RDKit::AtomIterator_< Atom_, Mol_ >::_pos, RDKit::AtomIterator_< Atom_, Mol_ >::operator!=(), RDKit::AtomIterator_< Atom_, Mol_ >::operator*(), RDKit::AtomIterator_< Atom_, Mol_ >::operator++(), RDKit::AtomIterator_< Atom_, Mol_ >::operator--(), RDKit::AtomIterator_< Atom_, Mol_ >::operator=(), and RDKit::AtomIterator_< Atom_, Mol_ >::operator==().

## AromaticAtomIterator_() [2/4]

template<class Atom_ , class Mol_ >

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | Mol_ * | mol | ) |

## AromaticAtomIterator_() [3/4]

template<class Atom_ , class Mol_ >

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | Mol_ * | mol,
|  | int | pos
| ) |  |

## ~AromaticAtomIterator_()

template<class Atom_ , class Mol_ >

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::~AromaticAtomIterator_ | ( |  | ) |

## AromaticAtomIterator_() [4/4]

template<class Atom_ , class Mol_ >

RDKit::AromaticAtomIterator_< Atom_, Mol_ >::AromaticAtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

## operator!=()

template<class Atom_ , class Mol_ >

bool RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

## operator*()

template<class Atom_ , class Mol_ >

Atom_* RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

## operator++() [1/2]

template<class Atom_ , class Mol_ >

ThisType& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

## operator++() [2/2]

template<class Atom_ , class Mol_ >

ThisType RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

## operator--() [1/2]

template<class Atom_ , class Mol_ >

ThisType& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

## operator--() [2/2]

template<class Atom_ , class Mol_ >

ThisType RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

## operator=()

template<class Atom_ , class Mol_ >

AromaticAtomIterator_& RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

## operator==()

template<class Atom_ , class Mol_ >

bool RDKit::AromaticAtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h